package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.IEndpointArgumentMeta;

public class IdentifierArgumentMetaImpl extends LightMetaRepresentationImpl implements IEndpointArgumentMeta
{
	private final String mDefaultValue;
	
	public IdentifierArgumentMetaImpl(String aName, String aDescription, String aDefaultValue)
	{	super(aName,aDescription);
		mDefaultValue=aDefaultValue;
	}

	public String getDefaultValue()
	{	return mDefaultValue;
	}

	public Class[] getRequiredRepresentations()
	{	return null;
	}

	public ArgumentType getArgumentType()
	{	return ArgumentType.IDENTIFIER;
	}

	public String getSubstringType()
	{	return null;
	}
	

	
	public boolean isIdentifier()
	{	return false;
	}

	
	
}
