package org.netkernel.layer0.representation;


/** A set membership function for HDS nodes
 * @author tab
 */
public interface IHDSPredicate
{
	/** Return true if the given node is within the set defined by this predicate
	 * @param aNode
	 * @return
	 */
	boolean matches(IHDSNode aNode);
}
