package org.netkernel.layer0.logging;

import java.util.logging.Handler;
import java.util.logging.LogRecord;

public class XMLFormatter extends java.util.logging.XMLFormatter
{
	public static final char NEWLINE_SUBSTITUTE='\u0011';
	
	public String getHead(Handler h)
	{	return "";
	}
	public String getTail(Handler h)
	{	return "";
	}
	
	public String formatMessage(LogRecord aRecord)
	{	String msg=aRecord.getMessage();
		if (msg.indexOf('\n')>=0)
		{	msg = msg.replace('\n', NEWLINE_SUBSTITUTE);
		}
		return msg;
	}
}
